Page MenuHomePhabricator

Apply enum changes to (img|oi|fa)_major_mime on production
Closed, InvalidPublic

Description

With the merger of gerrit change 135756 (9665a657b005f3a5b882efff3dd5faeba73297d2 ), the change to the ENUM on (img|oi|fa)_major_mime field of the image, oldimage, and filearchive tables needs to be applied to production.

Not exactly a rush since nothing in core uses it, it is solely for the mol_handler extension (awaiting review at T66548), which is not yet on production.

Relevant patch files are:

maintenance/archives/patch-img_major_mime-chemical.sql
maintenance/archives/patch-oi_major_mime-chemical.sql
maintenance/archives/patch-fa_major_mime-chemical.sql


Version: unspecified
Severity: normal

Details

Reference
bz70005

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:42 AM
bzimport set Reference to bz70005.
Bawolff created this task.Aug 25 2014, 10:17 PM
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 2:36 PM

mol_handler extension

Is there a ticket about this?

Krenair removed Springle as the assignee of this task.Oct 4 2015, 2:48 AM
Krenair added a subscriber: Springle.
Rillke updated the task description. (Show Details)Oct 4 2015, 8:11 AM
Rillke set Security to None.
Rillke added a comment.Oct 4 2015, 8:15 AM

mol_handler extension

Is there a ticket about this?

Did I get the question right while attempting it to answer editing the task description? Were you asking for a deploy molhandler ticket?

Yep, I think that's what I was looking for, thanks.

Reedy moved this task from Unsorted to Change on the Schema-change board.Apr 26 2017, 2:22 PM
jcrespo lowered the priority of this task from Medium to Low.Apr 28 2017, 3:16 PM
jcrespo added a subscriber: jcrespo.

Not exactly a rush

Marostegui moved this task from Triage to Backlog on the DBA board.Jun 14 2018, 6:02 AM
Marostegui moved this task from Backlog to Next on the DBA board.Feb 25 2019, 2:23 PM
Marostegui moved this task from Next to Backlog on the DBA board.Mar 5 2019, 7:34 AM

@Rillke is this still needed for the mol_handler extension? Is that extension enabled or will it be enabled at some point?

Rillke closed this task as Invalid.Apr 11 2019, 10:10 AM

@Marostegui Community interest in this extension does not appear to be overwhelming and yesterday T66548 was declined. The extension can't be deployed, at any time.